/*
 * vdrconvert.c: A plugin for the Video Disk Recorder
 *
 * See the README file for copyright information and how to reach the author.
 *
 */

#include "i18n.h"
#include "menu.h"
#include "config.h"

static const char *VERSION       = "0.0.0.0.0";
static const char *DESCRIPTION   = "Plugin to manage vdrconver-projects";
static const char *MAINMENUENTRY = "Vdrconvert";

class cPluginVdrconvert : public cPlugin {
private:
  // Add any member variables or functions you may need here.
public:
  cPluginVdrconvert(void);
  virtual ~cPluginVdrconvert();
  virtual const char *Version(void) { return VERSION; }
  virtual const char *Description(void) { return tr(DESCRIPTION); }
  virtual const char *CommandLineHelp(void);
  virtual bool ProcessArgs(int argc, char *argv[]);
  virtual bool Start(void);
  virtual bool Initialize(void);
  virtual void Housekeeping(void);
  virtual const char *MainMenuEntry(void) { return tr(MAINMENUENTRY); }
  virtual cOsdObject *MainMenuAction(void);
  virtual cMenuSetupPage *SetupMenu(void);
  virtual bool SetupParse(const char *Name, const char *Value);
  };

cPluginVdrconvert::cPluginVdrconvert(void)
{
  // none needed
}

cPluginVdrconvert::~cPluginVdrconvert()
{
  // Clean up after yourself!
  // none needed
}

const char *cPluginVdrconvert::CommandLineHelp(void)
{
  // none needed
  return "";
}

bool cPluginVdrconvert::ProcessArgs(int argc, char *argv[])
{
  // Implement command line argument processing here if applicable.
  return true;
}

bool cPluginVdrconvert::Initialize(void)
{
  // Initialize any background activities the plugin shall perform.
  RegisterI18n(Phrases);
  return true;
}

bool cPluginVdrconvert::Start(void)
{
  // Start any background activities the plugin shall perform.
  return true;
}

void cPluginVdrconvert::Housekeeping(void)
{
  // Perform any cleanup or other regular tasks.
}

cOsdObject *cPluginVdrconvert::MainMenuAction(void)
{
  // Perform the action when selected from the main VDR menu.
  return new cHauptmenu();
}

cMenuSetupPage *cPluginVdrconvert::SetupMenu(void)
{
  // Return a setup menu in case the plugin supports one.
  return new cMenuSetupVdrconvert;
}

bool cPluginVdrconvert::SetupParse(const char *Name, const char *Value)
{
  // Parse your own setup parameters and store their values.
    return VdrconvertSetup.SetupParse(Name, Value);
}

VDRPLUGINCREATOR(cPluginVdrconvert); // Don't touch this!
